Take the 2-minute tour ×
Ask Ubuntu is a question and answer site for Ubuntu users and developers. It's 100% free, no registration required.

The Ubuntu kernel PPA doesn't have kernel 3.1. Is there any other guaranteed way to upgrade because I don't want to reinstall Ubuntu again.

share|improve this question

6 Answers 6

Apart from waiting for the kernel to appear in the PPA (it's been released what, a day ago?), another option is to download a tarball and to compile it from sources.

Waiting for a PPA is safe, compiling from sources is fun. You choose :)

share|improve this answer
7  
+1 for the "fun" part... SPECIALLY that much "fun". –  Luis Oct 27 '11 at 7:02
3  
it's actually not difficult to compile kernel from sources, and also it's quite safe - in the worst case, the machine won't boot with the new kernel and you'll have to reboot with the old one. Also, kernel is very self-contained. I mean, compiling and configuring Gnome or KDE is a much more daunting task. –  Sergey Oct 27 '11 at 7:13

Kernels

A bit earlier there was a question: How to downgrade the Kernel on 11.10. Upgrading the kernel is not harder.

You could download the kernel binaries from the old or new Ubuntu releases1. The Precise2 has the 3.1. Also the Kernel Mainline build3 has the 3.1.

Donwloading from the Mainline the linux-image-3.1.0-030100rc10-generic. Installing it. Rebooting with it and the (K)ubuntu 11.10 is running with the 3.1.

Screenshot showing kernel 3.1 running under Kubuntu

Links

  1. http://packages.ubuntu.com/precise/linux-image
  2. https://wiki.ubuntu.com/Kernel/MainlineBuilds
share|improve this answer
    
You have tested this? I ask since you make it sound without any doubt easy to apply without any problems after applying it. Just asking to be sure you have tested this. –  Luis Oct 27 '11 at 8:14
1  
Thanks guys,i have already upgraded it successfully :) howopensource.com/2011/08/… –  Sudo Oct 27 '11 at 13:42
1  
"You have tested this?" Yes, I have tested this. If there are kernel related problems (or i think that the problem is the kernel): 1 - I check the kernel bug reports. 2 - I will search the net. 3 - I try an older kernel. 4 - I try a newer kernel. 5 - I recompile the kernel with own settings. –  user26687 Oct 27 '11 at 14:50
    
I went back to 3.0 cos in 3.1 i had low sound quality (sound isn't pure) and Ubuntu plymouth screen disappeared. –  Sudo Oct 27 '11 at 15:21

I think kernel team have uploaded the 3.1 kernel here http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.1-oneiric/

share|improve this answer

Even xorg-edgers has 3.1.0-2.2 kernel. If you use xorg-edgers you get the latest graphics drivers too. However unity breaks with xorg-edgers.

share|improve this answer

EDIT: three packages need to be installed.

  • linux-headers
  • linux-headers-generic
  • linux-image-generic

The steps below only install two. This answer needs to be improved.

Kernel 3.1 is available. Here's How to install it :

wget http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.1-oneiric/linux-headers-3.1.0-030100_3.1.0-030100.201110241006_all.deb

sudo dpkg -i linux-headers-3.1.0-030100_3.1.0-030100.201110241006_all.deb

For Ubuntu 11.10/11.04 (32-bit):

wget http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.1-oneiric/linux-headers-3.1.0-030100-generic_3.1.0-030100.201110241006_i386.deb

sudo dpkg -i linux-headers-3.1.0-030100-generic_3.1.0-030100.201110241006_i386.deb

For Ubuntu 11.10/11.04 (64-bit):

wget http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.1-oneiric/linux-headers-3.1.0-030100-generic_3.1.0-030100.201110241006_amd64.deb

sudo dpkg -i linux-headers-3.1.0-030100-generic_3.1.0-030100.201110241006_amd64.deb

But, Is it Safe to upgrade to Kernel 3.1 ? I Remember when I Upgraded from 2.6 to 3.0 on ubuntu 11.04 and My GPU Driver didn't work and there was no unity. I Don't want this to happen again.

share|improve this answer

I recommend don't try it.

Lately the new 3.x kernel seem bad and each release introduces more bugs than new features.
Since 3.10 NVidia hangs each time and 3.11 introduced the new "feature":

run-parts: executing /etc/kernel/header_postinst.d/dkms 3.1.1-030101-generic /boot/vmlinuz-3.1.1-030101-generic Error! Problems with depmod detected. Automatically uninstalling this module. DKMS: Install Failed (depmod problems). Module rolled back to built state.

Not sure what this means.

share|improve this answer

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.